"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const jsxRuntime = require("react/jsx-runtime");
require("react");
require("clsx");
const useProps = require("../../core/MantineProvider/use-props/use-props.cjs");
const factory = require("../../core/factory/factory.cjs");
const ModalBaseTitle = require("../ModalBase/ModalBaseTitle.cjs");
const Modal_context = require("./Modal.context.cjs");
const Modal_module_css = require("./Modal.module.css.cjs");
const defaultProps = {};
const ModalTitle = factory.factory((_props, ref) => {
  const props = useProps.useProps("ModalTitle", defaultProps, _props);
  const { classNames, className, style, styles, vars, ...others } = props;
  const ctx = Modal_context.useModalContext();
  return /* @__PURE__ */ jsxRuntime.jsx(
    ModalBaseTitle.ModalBaseTitle,
    {
      ref,
      ...ctx.getStyles("title", { classNames, style, styles, className }),
      ...others
    }
  );
});
ModalTitle.classes = Modal_module_css.default;
ModalTitle.displayName = "@mantine/core/ModalTitle";
exports.ModalTitle = ModalTitle;
